Resource

WhatsApp Log

Logs of all the WhatsApp messages sent out to all users and subscribers for this project.

The WhatsApp Log Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    toNumber
    Type
    PhoneRequired
    Description

    Phone Number WhatsApp message was sent to

  • Name
    fromNumber
    Type
    Phone
    Description

    Phone Number WhatsApp message was sent from (Business Number ID)

  • Name
    messageText
    Type
    Very Long Text
    Description

    Text content of the WhatsApp message

  • Name
    statusMessage
    Type
    Long Text
    Description

    Status Message (if any)

  • Name
    whatsAppMessageId
    Type
    Text
    Description

    Message ID returned by Meta's API

  • Name
    status
    Type
    TextRequired
    Description

    Status of the WhatsApp message sent

  • Name
    whatsAppCostInUSDCents
    Type
    NumberRequired
    Description

    WhatsApp Message Cost in USD Cents

  • Name
    incident
    Type
    Incident
    Description

    Incident associated with this message (if any)

  • Name
    incidentId
    Type
    Object ID
    Description

    ID of Incident associated with this message (if any)

  • Name
    user
    Type
    User
    Description

    User who initiated this message (if any)

  • Name
    userId
    Type
    Object ID
    Description

    ID of User who initiated this message (if any)

  • Name
    alert
    Type
    Alert
    Description

    Alert associated with this message (if any)

  • Name
    alertId
    Type
    Object ID
    Description

    ID of Alert associated with this message (if any)

  • Name
    monitor
    Type
    Monitor
    Description

    Monitor associated with this message (if any)

  • Name
    monitorId
    Type
    Object ID
    Description

    ID of Monitor associated with this message (if any)

  • Name
    scheduledMaintenance
    Type
    Scheduled Maintenance Event
    Description

    Scheduled Maintenance associated with this message (if any)

  • Name
    scheduledMaintenanceId
    Type
    Object ID
    Description

    ID of Scheduled Maintenance associated with this message (if any)

  • Name
    statusPage
    Type
    Status Page
    Description

    Status Page associated with this message (if any)

  • Name
    statusPageId
    Type
    Object ID
    Description

    ID of Status Page associated with this message (if any)

  • Name
    statusPageAnnouncement
    Type
    Status Page Announcement
    Description

    Status Page Announcement associated with this message (if any)

  • Name
    statusPageAnnouncementId
    Type
    Object ID
    Description

    ID of Status Page Announcement associated with this message (if any)

  • Name
    team
    Type
    Team
    Description

    Team associated with this message (if any)

  • Name
    teamId
    Type
    Object ID
    Description

    ID of Team associated with this message (if any)

  • Name
    onCallDutyPolicy
    Type
    On-Call Policy
    Description

    On-Call Duty Policy associated with this message (if any)

  • Name
    onCallDutyPolicyId
    Type
    Object ID
    Description

    ID of On-Call Duty Policy associated with this message (if any)

  • Name
    onCallDutyPolicyEscalationRule
    Type
    Escalation Rule
    Description

    On-Call Duty Policy Escalation Rule associated with this message (if any)

  • Name
    onCallDutyPolicyEscalationRuleId
    Type
    Object ID
    Description

    ID of On-Call Duty Policy Escalation Rule associated with this message (if any)

  • Name
    onCallDutyPolicySchedule
    Type
    On-Call Policy Schedule
    Description

    On-Call Duty Policy Schedule associated with this message (if any)

  • Name
    onCallDutyPolicyScheduleId
    Type
    Object ID
    Description

    ID of On-Call Duty Policy Schedule associated with this message (if any)

GETorPOST/api/whatsapp-log/get-list

List

This endpoint allows you to retrieve a paginated list of all your WhatsApp Log. By default, a maximum of ten WhatsApp Log are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/whatsapp-log/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "status": true,
    "toNumber": true,
    "whatsAppCostInUSDCents": true,
    "_id": true
  },
  "query": {
    "status": "Example status of the whatsapp message"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377f9b73-28fe-11f1-b591-3fdcef396aba",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "status": "Example status of the whatsapp message",
      "toNumber": "+1-555-123-4567",
      "whatsAppCostInUSDCents": 100
    },
    {
      "_id": "377fc280-28fe-11f1-b591-3fdcef396aba",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "status": "Example status of the whatsapp message",
      "toNumber": "+1-555-123-4567",
      "whatsAppCostInUSDCents": 100
    },
    {
      "_id": "377fc281-28fe-11f1-b591-3fdcef396aba",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "status": "Example status of the whatsapp message",
      "toNumber": "+1-555-123-4567",
      "whatsAppCostInUSDCents": 100
    }
  ]
}
GETorPOST/api/whatsapp-log/:id/get-item

Get item by ID

This endpoint allows you to retrieve WhatsApp Log by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/whatsapp-log/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "status": true,
    "toNumber": true,
    "whatsAppCostInUSDCents": true,
    "_id": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "status": "Example status of the whatsapp message",
  "toNumber": "+1-555-123-4567",
  "whatsAppCostInUSDCents": 100
}
POST/api/whatsapp-log/count

Count

This endpoint allows you to retrieve the count of all your WhatsApp Log.

Optional Request Body

Count Request

POST
/api/whatsapp-log/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "status": "Example status of the whatsapp message"
  }
}

Response

{
  "count": 107
}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read WhatsApp Log

  • Project Owner
  • Project Admin
  • Project Member
  • Read WhatsApp Log
  • Read All Project Resources

Create Permissions

Required to create WhatsApp Log

This resource cannot be created via the API

Update Permissions

Required to update WhatsApp Log

This resource cannot be updated via the API

Delete Permissions

Required to delete WhatsApp Log

This resource cannot be deleted via the API